import React, {Fragment, useState} from "react";
import {Card, CascaderView, Dialog, SearchBar, Toast} from "antd-mobile";

import {useChildList} from "../../hooks/useChildList";
import {useNavigate} from "react-router-dom";

const ToDoTree = () => {
    const {task, options, changeTaskId,changeSearchValue,changeCurrentLab,changeSelectValue} = useChildList();
    const navigate = useNavigate();


    return <Fragment>
        <SearchBar placeholder='搜索当前层相关标题' onChange={
            // 获取当前选卡，过滤当前选项
            (value) => {
                changeSearchValue(value);
            }
        }/>
        <Card title={task?.name} style={{height: "30vh", borderRadius: "10px"}}
            onClick={async ()=>{
                if (task&&task.id) {
                    const result = await Dialog.confirm({ content: '确定要进入详情页吗？' })
                    if (result) {
                        navigate(`/detail/selectTask?id=${task.id}`)
                    }
                }
            }}
        >
            <p>{task?.description}</p>
            <p>预计开始时间:{task?.expectedStartTime}</p>
            <p>预计结束时间:{task?.expectedEndTime}</p>
        </Card>
        <CascaderView
            options={options}
            onChange={value => {
                // fetchOptionsForValue(value[value.length-1])
                console.log({value})
                changeTaskId(value)
                changeSelectValue(value)
            }}
            onTabsChange={index => {
                console.log("tabs", index)
                changeCurrentLab(index)
            }}
        />
    </Fragment>
}
export default ToDoTree